MagickCore: list.h File Reference

# list.h File Reference

Go to the source code of this file.

## Functions
MagickExport Image * | CloneImageList (const Image *, ExceptionInfo *)
MagickExport Image ** | CloneImages (const Image *, const char *, ExceptionInfo *)
MagickExport Image *** | DestroyImageList (Image *)
MagickExport Image **** | GetFirstImageInList (const Image *)
MagickExport Image ***** | GetImageFromList (const Image *, const long)
MagickExport Image ****** | GetLastImageInList (const Image *)
MagickExport Image ******* | GetNextImageInList (const Image *)
MagickExport Image ******** | GetPreviousImageInList (const Image *)
MagickExport Image ********** | ImageListToArray (const Image *, ExceptionInfo *)
MagickExport Image *********** | NewImageList (void)
MagickExport Image ************ | RemoveImageFromList (Image **)
MagickExport Image ************* | RemoveLastImageFromList (Image **)
MagickExport Image ************** | RemoveFirstImageFromList (Image **)
MagickExport Image *************** | SpliceImageIntoList (Image **, const unsigned long, const Image *)
MagickExport Image **************** | SplitImageList (Image *)
MagickExport Image ***************** | SyncNextImageInList (const Image *)
MagickExport long | GetImageIndexInList (const Image *)
MagickExport unsigned long | GetImageListLength (const Image *)
MagickExport void | AppendImageToList (Image **, const Image *)
MagickExport void | DeleteImageFromList (Image **)
MagickExport void | DeleteImages (Image **, const char *, ExceptionInfo *)
MagickExport void | InsertImageInList (Image **, Image *)
MagickExport void | PrependImageToList (Image **, Image *)
MagickExport void | ReplaceImageInList (Image **, Image *)
MagickExport void | ReverseImageList (Image **)
MagickExport void | SyncImageList (Image *)

## Function Documentation

MagickExport void AppendImageToList | ( | Image ** | ,
|  | const Image * |  |
| ) |  |  |

MagickExport Image* CloneImageList | ( | const Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * CloneImages | ( | const Image * | ,
|  | const char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport void DeleteImageFromList | ( | Image ** |  | ) |

MagickExport void DeleteImages | ( | Image ** | ,
|  | const char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * DestroyImageList | ( | Image * |  | ) |

MagickExport Image* * * * GetFirstImageInList | ( | const Image * |  | ) |

MagickExport Image* * * * * GetImageFromList | ( | const Image * | ,
|  | const | long |
| ) |  |  |

MagickExport long GetImageIndexInList | ( | const Image * |  | ) |

MagickExport unsigned long GetImageListLength | ( | const Image * |  | ) |

MagickExport Image* * * * * * GetLastImageInList | ( | const Image * |  | ) |

MagickExport Image* * * * * * * GetNextImageInList | ( | const Image * |  | ) |

MagickExport Image* * * * * * * * GetPreviousImageInList | ( | const Image * |  | ) |

MagickExport Image* * * * * * * * ** ImageListToArray | ( | const Image * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport void InsertImageInList | ( | Image ** | ,
|  | Image * |  |
| ) |  |  |

MagickExport Image* * * * * * * * ** * NewImageList | ( | void |  | ) |

MagickExport void PrependImageToList | ( | Image ** | ,
|  | Image * |  |
| ) |  |  |

MagickExport Image* * * * * * * * ** * * * * RemoveFirstImageFromList | ( | Image ** |  | ) |

MagickExport Image* * * * * * * * ** * * RemoveImageFromList | ( | Image ** |  | ) |

MagickExport Image* * * * * * * * ** * * * RemoveLastImageFromList | ( | Image ** |  | ) |

MagickExport void ReplaceImageInList | ( | Image ** | ,
|  | Image * |  |
| ) |  |  |

MagickExport void ReverseImageList | ( | Image ** |  | ) |

MagickExport Image* * * * * * * * ** * * * * * SpliceImageIntoList | ( | Image ** | ,
|  | const unsigned long | ,
|  | const Image * |  |
| ) |  |  |

MagickExport Image* * * * * * * * ** * * * * * * SplitImageList | ( | Image * |  | ) |

MagickExport void SyncImageList | ( | Image * |  | ) |

MagickExport Image* * * * * * * * ** * * * * * * * SyncNextImageInList | ( | const Image * |  | ) |